﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Diagnostics;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication16
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string filename = Path.Combine(Path.GetDirectoryName(Application.ExecutablePath), "x.pdf");
            this.ultraGridDocumentExporter1.Export(this.ultraGrid1, filename, Infragistics.Win.UltraWinGrid.DocumentExport.GridExportFileFormat.PDF);
            Process.Start(filename);
        }

        private void ultraGridDocumentExporter1_ExportStarted(object sender, Infragistics.Win.UltraWinGrid.DocumentExport.ExportStartedEventArgs e)
        {
            e.Section.PageOrientation = Infragistics.Documents.Reports.Report.PageOrientation.Landscape;
            if (this.checkBox1.Checked)
            {
                foreach (UltraGridColumn column in e.Layout.Bands[0].Columns)
                {
                    column.Width = 300;
                }
            }
        }
    }
}
